<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateExpensesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('expenses', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('branch_id');
            $table->integer('location_id');
            $table->string('transactions_password');
            $table->string('opening_balance');
            $table->string('report_password');
            $table->string('date');
            $table->string('account_id')->nullable();
            $table->string('account_name');
            $table->integer('class_of_account_id');
            $table->integer('show_user')->nullable();
            $table->string('maintain_account');
             $table->string('description')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('expenses');
    }
}
