@extends('layouts.master_user')
@section('page-title')
Ware House Master
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }
</style>

@endsection
@section('master')
active
@endsection
@section('warehouses')
active
@endsection
@section('content')
{{--
@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Customer Master</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">

    @include('errors.list')

    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Add Customers</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        <div class="ibox-content">
            <form id="create_form" class="form-horizontal" method="POST" action="/masters/warehouses" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Warehouse Name</label>
                        <input type="text" class="form-control" id="name" name="name"
                            placeholder="Warehouse Name" required>
                    </div>
                    <div class="col-sm-6">
                        <label>Show User</label>
                        <select class="form-control selectpicker" name="show_user[]" data-actions-box="true" data-show-subtext="true" multiple data-live-search="true">
                            @foreach ($users as $user)
                                <option value="{{$user->users['id']}}">{{$user->users['email']}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" type="submit">Add Warehouse</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $('#create_form').validate(
        {ignore : ":hidden:not(.selectpicker)"  }
    );
</script>
@endsection
