{{-- @dd($errors) --}}

@extends('layouts.crusher')
@section('content')


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Staff and Salesman master</h6>
                            </div>

                        </div>
                        <!-- <div class="col-4"> -->
                        <form action="{{ route('crusher.staffs.store') }}" class="outer-repeater" method="POST"
                            enctype="multipart/form-data">
                            @csrf
                            <div class="row">

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <input type="radio" name="type" value="{{ old('Salesman', 'type') }}"
                                            id="job-title-radio" onchange="toggleJobTitle()">
                                        <label>Job Title</label>
                                        <input type="radio" name="type" value="{{ old('Job Title', 'type') }}"
                                            id="salesman-radio" onchange="toggleCommissionCheckbox()">
                                        <label>Salesman</label>
                                        <div id="commission-checkbox-div" style="display: none;">
                                            <input type="checkbox"
                                                value="{{ old('commission_checkbox', 'commission_checkbox') }}"
                                                id="commission-checkbox" onchange="toggleCommission()">
                                            <label>Commission</label>
                                        </div>
                                        @if ($errors->has('type'))
                                            <div class="text-danger">{{ $errors->first('type') }}</div>
                                        @endif
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        @if ($errors->has('type'))
                                            <div class="text-danger">{{ $errors->first('type') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Job Designation</label>
                                        <input name="job_designation" value="{{ old('job_designation') }}"
                                            class="form-control" type="text" placeholder="Job Designation"
                                            id="example-password-input">
                                        @if ($errors->has('job_designation'))
                                            <div class="text-danger">{{ $errors->first('job_designation') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Date Of Joining</label>
                                        <input name="date_of_joining" value="{{ old('date_of_joining') }}"
                                            class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}">
                                        @if ($errors->has('date_of_joining'))
                                            <div class="text-danger">{{ $errors->first('date_of_joining') }}</div>
                                        @endif
                                    </div>
                                </div>

                                {{-- <div class="col-md-12" id="job-title" style="display: none">
                                    <div class="form-group">
                                        <label>Job Title</label>
                                        <input name="job_title" value="{{ old('job_title') }}" class="form-control"
                                            type="text" placeholder="Enter Job Title">
                                        @if ($errors->has('job_title'))
                                            <div class="text-danger">{{ $errors->first('job_title') }}</div>
                                        @endif
                                    </div>
                                </div> --}}

                                <div class="col-md-6" id="commission" style="display: none">
                                    <div class="form-group">
                                        <label>Commission</label>
                                        <input name="commission" value="{{ old('commission') }}" class="form-control">
                                        @if ($errors->has('commission'))
                                            <div class="text-danger">{{ $errors->first('commission') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>First Name</label>
                                        <input name="first_name" value="{{ old('first_name') }}" class="form-control"
                                            type="text" placeholder="Enter Name" id="example-text-input">
                                        @if ($errors->has('first_name'))
                                            <div class="text-danger">{{ $errors->first('first_name') }}
                                            </div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Last Name</label>
                                        <input name="last_name" value="{{ old('last_name') }}" class="form-control"
                                            type="text" placeholder="Enter Contact Person Name" id="example-text-input">
                                        @if ($errors->has('last_name'))
                                            <div class="text-danger">{{ $errors->first('last_name') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Mobile 1</label>
                                        <input name="mobile_1" value="{{ old('mobile_1') }}" class="form-control"
                                            type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number" id="example-text-input">
                                        @if ($errors->has('mobile_1'))
                                            <div class="text-danger">{{ $errors->first('mobile_1') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Mobile 2</label>
                                        <input name="mobile_2" value="{{ old('mobile_2') }}" class="form-control"
                                            type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number" id="example-text-input">
                                        @if ($errors->has('mobile_2'))
                                            <div class="text-danger">{{ $errors->first('mobile_2') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Whatsapp #</label>
                                        <input name="whatsapp" value="{{ old('whatsapp') }}" class="form-control"
                                            type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Number" id="example-text-input">
                                        @if ($errors->has('whatsapp'))
                                            <div class="text-danger">{{ $errors->first('whatsapp') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Email</label>
                                        <input name="email" value="{{ old('email') }}" class="form-control"
                                            type="email" placeholder="Enter Email" id="example-text-input">
                                        @if ($errors->has('email'))
                                            <div class="text-danger">{{ $errors->first('email') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Country</label>
                                        <select class="form-control select2" name="country_id">
                                            <option value="">Select Country</option>
                                            @forelse ($countries as $country)
                                                <option value="{{ $country->id }}"
                                                    @if (old('country_id') == $country->id) selected @endif>
                                                    {{ $country->name }}</option>
                                            @empty
                                            @endforelse
                                        </select>
                                        @if ($errors->has('country_id'))
                                            <span class="text-danger">{{ $errors->first('country_id') }}</span>
                                        @endif
                                    </div>
                                </div>



                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>City</label>
                                        <input name="city" value="{{ old('city') }}" class="form-control"
                                            type="text" placeholder="Enter Number" id="example-text-input">
                                        @if ($errors->has('city'))
                                            <div class="text-danger">{{ $errors->first('city') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Address</label>
                                        <textarea name="address" class="form-control" rows="2" type="text" placeholder="Enter Address"
                                            id="example-textarea-input">{{ old('address') }}
                                    </textarea>
                                        @if ($errors->has('address'))
                                            <div class="text-danger">{{ $errors->first('address') }}</div>
                                        @endif
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Class Of Account</label>
                                        <select class="form-control select2" name="class_of_account_id">
                                            <option>Select Class of Account</option>
                                            @forelse ($classOfAccount as $account)
                                                <option value="{{ $account->id }}"
                                                    @if (old('class_of_account_id') == $account->id) selected @endif>
                                                    {{ $account->name }}</option>
                                            @empty
                                            @endforelse
                                        </select>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Salary</label>
                                        <input name="salary" class="form-control @error('salary') is-invalid @enderror"
                                            type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Salary" value="{{ old('salary') }}"
                                            id="salary">
                                        @error('salary')
                                            <div class="invalid-feedback">{{ $message }}</div>
                                        @enderror
                                    </div>
                                </div>


                                <div class="col-md-12">
                                    <strong>
                                        <h5>Upload Documents</h5>
                                    </strong>
                                </div>

                                @for ($i = 1; $i <= 7; $i++)
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <input class="form-control @error("doc_name_{$i}") is-invalid @enderror"
                                                type="text" placeholder="Enter Name"
                                                name="doc_name_{{ $i }}" id="doc_name_{{ $i }}"
                                                value="{{ old("doc_name_{$i}") }}">
                                            @error("doc_name_{$i}")
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <input class="form-control @error("doc_file_{$i}") is-invalid @enderror"
                                                type="file" id="doc_file_{{ $i }}"
                                                name="doc_file_{{ $i }}">
                                            @error("doc_file_{$i}")
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <input class="form-control @error("doc_expiry_{$i}") is-invalid @enderror"
                                                type="date" pattern="\d{4}-\d{2}-\d{2}}"
                                                name="doc_expiry_{{ $i }}"
                                                id="doc_expiry_{{ $i }}"
                                                value="{{ old("doc_expiry_{$i}") }}">
                                            @error("doc_expiry_{$i}")
                                                <div class="invalid-feedback">{{ $message }}</div>
                                            @enderror
                                        </div>
                                    </div>
                                @endfor

                            </div>

                            <div class="col-md-12">
                                <div class="form-group">
                                    <label>Description</label>
                                    <textarea name="description" class="form-control @error('description') is-invalid @enderror" rows="4"
                                        placeholder="Enter Description">{{ old('description') }}</textarea>
                                    @error('description')
                                        <div class="invalid-feedback">{{ $message }}</div>
                                    @enderror
                                </div>
                            </div>


                            <button class="btn btn-cust1 float-right" data-toggle="modal" data-target=""
                                type="submit">Add Staff</button>

                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->

    <script>
        function toggleJobTitle() {
            var jobTitleRadio = document.getElementById("job-title-radio");
            var jobTitleElement = document.getElementById("job-title");
            var commissionCheckboxDiv = document.getElementById("commission-checkbox-div");
            var commissionElement = document.getElementById("commission");

            if (jobTitleRadio.checked) {
                jobTitleElement.style.display = "block";
                commissionCheckboxDiv.style.display = "none";
                commissionElement.style.display = "none";
            } else {
                jobTitleElement.style.display = "none";
            }
        }

        function toggleCommissionCheckbox() {
            var salesmanRadio = document.getElementById("salesman-radio");
            var commissionCheckboxDiv = document.getElementById("commission-checkbox-div");
            var commissionElement = document.getElementById("commission");
            var jobTitleElement = document.getElementById("job-title");

            if (salesmanRadio.checked) {
                commissionCheckboxDiv.style.display = "block";
                jobTitleElement.style.display = "none";
            } else {
                commissionCheckboxDiv.style.display = "none";
                commissionElement.style.display = "none";
            }
        }

        function toggleCommission() {
            var commissionCheckbox = document.getElementById("commission-checkbox");
            var commissionElement = document.getElementById("commission");

            if (commissionCheckbox.checked) {
                commissionElement.style.display = "block";
            } else {
                commissionElement.style.display = "none";
            }
        }
    </script>
@endsection
