<html>

<head>

    <title>Signature </title>

    <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.css">

    <link href="{{ asset('/public/user_files/font-awesome/css/font-awesome.css') }}" rel="stylesheet">

    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>

    <link type="text/css" href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/south-street/jquery-ui.css" rel="stylesheet">

    <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

    <script type="text/javascript" src="http://keith-wood.name/js/jquery.signature.js"></script>



    <link rel="stylesheet" type="text/css" href="http://keith-wood.name/css/jquery.signature.css">



    <style>

        .kbw-signature { width: 100%; height: 200px;}

        #sig canvas{

            width: 100% !important;

            height: auto;

        }
        .my-btn {
            background-color: #efefef;
            border-color: #efefef;
            color: #333;
        }

    </style>



</head>

<body class="bg-dark">

<div class="container">

   <div class="row">

       <div class="col-md-6 offset-md-3 mt-5">

           <div class="card">

               <div class="card-header">

                   <h5>Signature For Sales Return Voucher No # {{$sales_return->invoice_no}} </h5>

               </div>

               <div class="card-body">

                    @if ($message = Session::get('success'))

                        <div class="alert alert-success  alert-dismissible">

                            <button type="button" class="close" data-dismiss="alert">×</button>

                            <strong>{{ $message }}</strong>

                        </div>

                    @endif

                    <form  method="post" action="/transactions/sales-return-vouchers/signature/{{ $sales_return->id }}">
                        {{ csrf_field() }}

                        <div class="col-md-12">

                            <label class="" for="">Signature:</label>

                            <br/>

                            <div id="sig" ></div>

                            <br/>

                            <button id="clear" class="btn my-btn" style="margin-top: 10px;"><i class="fa fa-close"></i> Clear Signature</button>

                            <textarea id="signature64" name="signed" style="display: none" required></textarea>

                        </div>

                        <br/>

                        <div class="row">
                            <div class="col-9"></div>
                            <div class="col-3">
                                <button class="btn my-btn" style="margin-left: 15px;"><i class="fa fa-check"></i> Save</button>
                            </div>
                        </div>

                    </form>

               </div>

           </div>

       </div>

   </div>

</div>

<script type="text/javascript">

    var sig = $('#sig').signature({syncField: '#signature64', syncFormat: 'PNG'});

    $('#clear').click(function(e) {

        e.preventDefault();

        sig.signature('clear');

        $("#signature64").val('');

    });

</script>

</body>

</html>
