<?php $__env->startSection('content'); ?>


        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Other Account Master</h6>
                            </div>
                        </div>
                        <form method="POST" action="<?php echo e(route('crusher.other_accounts.store')); ?>" class="outer-repeater">

                            <?php echo csrf_field(); ?>
                            <div class="row">

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Account Opening Balance</label>
                                        <?php if(auth()->user()->role=='subadmin'): ?>
                                        <input class="form-control"
                                        placeholder="Account Opening Balance"
                                        id="example-password-input" disabled>
                                        <?php else: ?>
                                        <input class="form-control" type="text" name="opening_balance" value=""
                                            placeholder="Account Opening Balance"
                                            id="example-password-input">
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label class="control-label">Debit/Credit</label>
                                        <select class="form-control select2" name="type">
                                            <option>Select Debit/Credit</option>
                                            <option value="debit">Debit</option>
                                            <option value="credit">Credit</option>
                                        </select>
                                    </div>
                                </div>



                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Date</label>
                                        <input class="form-control" name="date" type="date"
                                            pattern="\d{4}-\d{2}-\d{2}">
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label>Account Name</label>
                                        <input class="form-control" type="text" name="account_name"
                                            placeholder="Enter Account Name" id="example-text-input">
                                            <?php if($errors->has('account_name')): ?>
                                            <div class="text-danger"><?php echo e($errors->first('account_name')); ?></div>
                                            <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label class="control-label">Class Of Account</label>
                                        <select class="form-control select2" name="class_of_account">
                                            <option name="">Select Class of Account</option>
                                            <option name="Bank Account">Bank Account</option>
                                            <option name="Capital Account">Capital Account</option>
                                            <option name="Cash In Hand">Cash In Hand</option>
                                            <option name="Current Assets">Current Assets</option>
                                            <option name="Current Liabilities">Current Liabilities</option>
                                            <option name="Expenses">Expenses</option>
                                            <option name="Fixed Assets">Fixed Assets</option>
                                            <option name="Loans">Loans</option>
                                            <option name="Advance">Advance</option>
                                            <option name="Reserves & Surplus">Reserves & Surplus</option>
                                            <option name="Retained Earnings">Retained Earnings</option>
                                            <option name="Stock In Hand">Stock In Hand</option>
                                            <option name="Non current Liabilities">Non current Liabilities</option>
                                            <option name="Sundry Creditors">Sundry Creditors</option>
                                            <option name="Sundry Debtors">Sundry Debtors</option>
                                            <option name="Suspence Account">Suspence Account</option>
                                            <option name="Tax & Duties">Tax & Duties</option>
                                        </select>
                                        <?php if($errors->has('class_of_account')): ?>
                                        <div class="text-danger"><?php echo e($errors->first('class_of_account')); ?></div>
                                    <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label>Description</label>
                                        <textarea class="form-control" rows="4" name="description" type="text" placeholder="Enter Address"
                                            id="example-textarea-input">

                                    </textarea>
                                    </div>
                                </div>

                            </div>

                            <button class="btn btn-cust1 float-right" type="submit">Add Other Account</button>

                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- end row -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/otheraccount_master/create.blade.php ENDPATH**/ ?>