<?php $__env->startSection('content'); ?>

<div class="page-content">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->

    <!-- end row -->

    <div class="row">
        <div class="col-xl-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-6">
                            <h6 class="card-title mb-4 titlcust">Download Documents</h6>
                        </div>

                    </div>
                    <div class="card-body">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table id="datatable" class="table table-bordered nowrap table-striped"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Company Name</th>
                                        <th>Branch Name</th>
                                        <th>Submited Date</th>
                                        <th>Files</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    <?php $__currentLoopData = $ReceivedVouchers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $ReceivedVoucher): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td>
                                                <?php if($ReceivedVoucher->branch && $ReceivedVoucher->branch->company): ?>
                                                    <?php echo e($ReceivedVoucher->branch->company->name); ?>

                                                <?php else: ?>
                                                    N/A
                                                <?php endif; ?>
                                            </td>
                                            <td>
                                                <?php if($ReceivedVoucher->branch): ?>
                                                    <?php echo e($ReceivedVoucher->branch->name); ?>

                                                <?php else: ?>
                                                    N/A
                                                <?php endif; ?>
                                            </td>
                                            <td><?php echo e($ReceivedVoucher->created_at->format('Y-m-d h:i:s')); ?></td>
                                            <td>
                                                <a>
                                                    <p><?php echo e($ReceivedVoucher->files); ?></p>
                                                    <a class="btn btn-outline-primary" href="<?php echo e(asset('/storage/'.$ReceivedVoucher->voucher)); ?>">Download Files</a>
                                                    <?php if($ReceivedVoucher->branch && !$ReceivedVoucher->branch->status): ?>
                                                        <form action="<?php echo e(route('superadmin.branches.block_unblock', ['branch' => $ReceivedVoucher->branch_id])); ?>" method="POST">
                                                            <?php echo csrf_field(); ?>
                                                            <?php echo method_field('put'); ?>
                                                            <button class="btn btn-outline-primary" type="submit">Unblock Branch</button>
                                                        </form>
                                                    <?php elseif($ReceivedVoucher->branch): ?>
                                                        <form action="<?php echo e(route('superadmin.branches.block_unblock', ['branch' => $ReceivedVoucher->branch_id])); ?>" method="POST">
                                                            <?php echo csrf_field(); ?>
                                                            <?php echo method_field('put'); ?>
                                                            <button class="btn btn-outline-primary" type="submit">Block Branch</button>
                                                        </form>
                                                    <?php endif; ?>
                                                </a>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>

                            </table>
                        </div>
                    </div>
                    <!-- end col -->



                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->
    </div>

    <!-- end row -->

    <!-- end row -->

    <!-- end row -->
</div>
<!-- End Page-content -->
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.superadmin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/super_admin/superadmin-received-voucher.blade.php ENDPATH**/ ?>