<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class PaymentVoucherExpense extends Model
{
    // RELATIONS

    public function voucher()
    {
        return $this->belongsTo(AdminPaymentVoucher::class, 'voucher_id', 'id');
    }

    function account()
    {
        return $this->morphTo();
    }

    function expense()
    {
        return $this->morphTo();
    }
}
