@extends('layouts.crusher')
@section('content')


    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Edit Material Transfer Note Voucher</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->
                    <form action="#" class="outer-repeater">


                        <div class="row">

                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>MTN Voucher #</label>
                                    <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" readonly placeholder=""
                                        id="example-password-input">
                                </div>
                            </div>

                            <div class="col-md-6">

                            </div>
                            <div class="col-md-3">
                                <div class="form-group">
                                    <label>Date</label>
                                    <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}">
                                </div>
                            </div>

                            <div class="col-md-3 float-right">
                                <div class="form-group">
                                    <label for="name">Gate Pass # :</label>
                                    <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" readonly placeholder=""
                                        id="example-password-input">
                                </div>
                            </div>


                            <div class="col-md-6">

                            </div>


                            <div class="col-md-3">
                                <div class="form-group">
                                    <label for="name">Purchase Invoice # :</label>
                                    <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" readonly placeholder=""
                                        id="example-password-input">
                                </div>
                            </div>
                        </div>


                        <br>


                        <div class="row">

                            <div class="col-md-6 border-right">

                                <div class="table-responsive mb-0" data-pattern="priority-columns">
                                    <center>
                                        <h5 class="align-text-center">Credit</h5>
                                    </center>

                                    <table id="datatable"
                                        class="table table-bordered dt-responsive nowrap"
                                        style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                            <tr>
                                                <th>Item Name</th>
                                                <th>Warehouse</th>
                                                <th>Quantity</th>
                                                <th>Net Ammount</th>
                                            </tr>
                                        </thead>

                                        <tbody id="table-body">
                                            <tr>
                                                <div class="inner-repeater mb-12">
                                                    <div data-repeater-list="inner-group"
                                                        class="inner form-group">
                                                        <td>
                                                            <p>Lorem ipsum </p>
                                                        </td>
                                                        <td>
                                                            <p>Lorem ipsum </p>
                                                        </td>
                                                        <td>
                                                            <p>Lorem ipsum </p>
                                                        </td>
                                                        <td>
                                                            <p>Lorem ipsum </p>
                                                        </td>
                                                    </div>

                                                </div>

                                            </tr>

                                        </tbody>
                                    </table>
                                </div>

                                <br>
                                <div class="col-md-12">
                                    <label>Total Credit Quantity : </label>
                                    <span>lorem ipsum</span>
                                </div>
                                <div class="col-md-12">
                                    <label>Total Credit Net Ammount : </label>
                                    <span>lorem ipsum</span>
                                </div>
                            </div>

                            <div class="col-md-6 border-left ">
                                <div class="table-responsive mb-0" data-pattern="priority-columns">
                                    <center>
                                        <h5 class="align-text-center">Debit</h5>
                                    </center>
                                    <table id="datatable"
                                        class="table table-bordered dt-responsive nowrap"
                                        style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                        <thead>
                                            <tr>
                                                <th>Select Item</th>
                                                <th>Quantity (%)</th>
                                                <th>Quantity</th>
                                                <th>Unit</th>
                                                <th>Amount</th>
                                                <th>Delete</th>
                                            </tr>
                                        </thead>

                                        <tbody id="table-body-2">
                                            <tr>
                                                <div class="inner-repeater mb-12">
                                                    <div data-repeater-list="inner-group"
                                                        class="inner form-group">
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control select2">
                                                                    <option>Select</option>
                                                                    <option>Lorem</option>
                                                                    <option>Lorem</option>
                                                                </select>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <input class="form-control"
                                                                    type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');"
                                                                    placeholder="Quantity (%)"
                                                                    id="example-password-input">
                                                            </div>
                                                        </td>

                                                        <td>
                                                            <p>Lorem ipsum </p>
                                                        </td>
                                                        <td>
                                                            <div class="form-group">
                                                                <select class="form-control select2">
                                                                    <option>Select</option>
                                                                    <option>Lorem</option>
                                                                    <option>Lorem</option>
                                                                </select>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <p>Lorem ipsum </p>
                                                        </td>
                                                        <td>
                                                            <a href="" class="delete-row-btn"> <i
                                                                    class="fas fa-trash-alt inner"></i></a>
                                                        </td>
                                                    </div>

                                                </div>
                                            </tr>


                                        </tbody>
                                    </table>
                                </div>
                                <div class="col-md-8">
                                    <button id="add-more-btn-2" class="btn btn-outline-primary">Add
                                        more</button>
                                </div>

                                <br>
                                <div class="col-md-12">
                                    <label>Total Debit Quantity : </label>
                                    <span>lorem ipsum</span>
                                </div>
                                <div class="col-md-12">
                                    <label>Total Debit Net Amount : </label>
                                    <span>lorem ipsum</span>
                                </div>

                                <div class="col-md-12 ">
                                    <label>Difference :</label>
                                    <span>0000</span>
                            </div>
                            </div>

                        </div>


                        <br>


                        <br>

                        <div class="row">

                           


                        </div>


                        <button class="btn btn-cust1 float-right" type="submit">Edit MTN Voucher
                        </button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

    <!-- Modals -->
    <div id="modal1" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal1Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal1Label">Add New Account</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Form Will Be visible</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal2" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal2Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal2Label">Modal 2</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 2</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                </div>
            </div>
        </div>
    </div>

    <div id="modal3" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="modal3Label"
        aria-hidden="true">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="modal3Label">Modal 3</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>This is Modal 3</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">C lose</button>
                </div>
            </div>
        </div>
    </div>


    <script>

        $(document).ready(function () {
            $('#add-more-btn-2').click(function (e) {
                e.preventDefault();

                // Clone the existing row
                var newRow = $('#table-body-2 tr').first().clone();

                // Clear input fields and select values in the cloned row
                newRow.find('input, textarea').val('');
                newRow.find('select').prop('selectedIndex', 0);

                // Append the cloned row to the table
                $('#table-body-2').append(newRow);
            });

            // Handle delete button click event
            $(document).on('click', '.delete-row-btn', function (e) {
                e.preventDefault();

                // Get the parent row and remove it
                var row = $(this).closest('tr');
                row.remove();
            });
        });
    </script>

    <!-- modal script -->

    <script>
        document.getElementById("modalSelect").addEventListener("change", function() {
            var selectedModal = this.value;

            // Close any open modals
            $('.modal').modal('hide');

            // Open the selected modal
            $('#' + selectedModal).modal('show');
        });
    </script>
@endsection
