<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCountryLocationWiseStockTransfersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('country_location_wise_stock_transfers', function (Blueprint $table) {
            $table->id();
            $table->integer('location_id');
            $table->string('country_location_wise_stock_transfer_no');
            $table->string('date');
            $table->string('from_country');
            $table->string('from_location');
            $table->string('to_country');
            $table->string('to_location');
            $table->string('currency_rate');
            $table->string('multiply_divide');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('country_location_wise_stock_transfers');
    }
}
