@extends('layouts.master_user_without_nav')

@section('css')
<style>
.message-input {
    height: auto !important;
}
</style>
@endsection

@section('content')

<input type="hidden" id="country_id" value="{{ $country_id }}" />
<input type="hidden" id="location_id" value="{{ $location_id }}" />
<input type="hidden" id="uuid" value="{{ $chat-> uuid }}" />
<input type="hidden" id="sender_id" value="{{ Auth::user()->id }}" />
<input type="hidden" id="receiver_id" value="{{ $receiver_id }}" />
<input type="hidden" id="sender_name" value="{{ Auth::user()->email }}" />

<div class="row">
    <div class="col-lg-12">

            <div class="ibox chat-view">

                <div class="ibox-title">
                    <h3>{{ $chat_to_user-> email }}</h3>
                </div>


                <div class="ibox-content">

                    <div class="row">

                        <div class="col-md-12">
                            <div class="chat-discussion">
                                <div id="all-chat"></div>
                            </div>
                        </div>

                    </div>
                    <div class="row m-t-md">
                        <div class="col-lg-10">
                            <div class="chat-message-form m-l-xl">
                                <div class="form-group">
                                    <textarea id="chat-msg" class="form-control message-input" name="message" placeholder="Enter message text"></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-2">
                            <button class="btn btn-primary btn-circle btn-lg" id="chat-btn" type="button"><i class="fa fa-send"></i></button>
                        </div>
                    </div>


                </div>

            </div>
    </div>

</div>

@endsection

@section('js')
{{-- <script src="{{ asset('/public/user_files/js/app/chat/chat.min.js') }}" type="text/javascript"></script> --}}


<script src="https://www.gstatic.com/firebasejs/8.2.1/firebase-app.js"></script>
<script src="https://www.gstatic.com/firebasejs/8.2.1/firebase-database.js"></script>
<!-- Firebase Firestore SDK for Real-time Database -->
<!-- <script src="https://www.gstatic.com/firebasejs/6.1.1/firebase-database.js"></script> -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.24.0/moment.min.js" type="text/javascript"></script>

<script src="{{ asset('/public/user_files/js/chat.js') }}"></script>
@endsection
