
<?php $__env->startSection('content'); ?>
    <div class="page-content page-wrapper">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box d-flex align-items-center justify-content-between">
                    <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                    <div class="page-title-right">
                        <ol class="breadcrumb m-0">
                            <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                        </ol>
                    </div>

                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">View Branch Master</h6>
                            </div>

                        </div>
                        <!-- <div class="col-4"> -->
                        <form class="outer-repeater" method="POST" id="insert_form">

                            <?php echo csrf_field(); ?>
                            <?php echo method_field('put'); ?>
                            <div class="row">

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="control-label">Company Name</label>
                                        <select class="form-control select2" name="company_id" id="company">
                                            <option>Select Company Name</option>
                                            <?php $__currentLoopData = $companies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $company): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <option value="<?php echo e($company->id); ?>"
                                                    <?php echo e($branch->company_id == $company->id ? 'selected' : ''); ?>>
                                                    <?php echo e($company->name); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        </select>
                                        <?php if($errors->has('company_id')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('company_id')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>

                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Located Country</label>
                                        <select class="form-control select2" name="country" id="country">
                                            <option>Select Located Country</option>
                                            <option>Alkaram Pakistan </option>
                                            <option>Alkaram Dubai</option>
                                            <option>Alkaram Oman</option>
                                        </select>
                                        <?php if($errors->has('country')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('country')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Branch</label>
                                        <input class="form-control" type="text" name="name" placeholder="Enter Branch"
                                            id="example-password-input" value="<?php echo e($branch->name); ?>">
                                        <?php if($errors->has('name')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('name')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>


                                <div class="col-md-2 custveri price" id="pricehidden1">
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="type" id="customSwitchtest" value="test"
                                            <?php echo e($branch->type == 'test' ? 'checked' : ''); ?>>
                                        <label class="custom-control-label" for="customSwitchtest">Test
                                        </label>
                                        <?php if($errors->has('type')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('type')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>


                                <div class="col-md-2 custveri price" id="pricehidden1">
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="type" id="customSwitchpaid" value="paid"
                                            <?php echo e($branch->type == 'paid' ? 'checked' : ''); ?>>
                                        <label class="custom-control-label" for="customSwitchpaid">Paid
                                        </label>
                                        <?php if($errors->has('type')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('type')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>



                                <div class="col-md-4 price"id="pricehidden2">
                                    <div class="row">
                                        <div class="col-md-4">
                                            <label>Currency</label>

                                            <select class="form-control select2" name="currency">
                                                <option>Currency</option>
                                                <option <?php echo e($branch->currency == 'PKR' ? 'selected' : ''); ?>>PKR</option>
                                                <option <?php echo e($branch->currency == 'RO' ? 'selected' : ''); ?>>RO</option>
                                                <option <?php echo e($branch->currency == 'SR' ? 'selected' : ''); ?>>SR</option>
                                            </select>
                                            <?php if($errors->has('currency')): ?>
                                                <div class="alert alert-danger">
                                                    <?php echo e($errors->first('currency')); ?>

                                                </div>
                                            <?php endif; ?>
                                        </div>

                                        <div class="col-md-8">
                                            <div class="form-group">
                                                <label>Price</label>
                                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Price"
                                                    name="price" id="example-number-input" value="<?php echo e($branch->price); ?>">
                                                <?php if($errors->has('price')): ?>
                                                    <div class="alert alert-danger">
                                                        <?php echo e($errors->first('price')); ?>

                                                    </div>
                                                <?php endif; ?>
                                            </div>
                                        </div>

                                    </div>
                                </div>

                                <!-- <div class="col-md-4 price" id="pricehidden3">
                                                                            <div class="form-group">
                                                                                <label>Price</label>
                                                                                <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" placeholder="Enter Price"
                                                                                    id="example-number-input">
                                                                            </div>
                                                                        </div> -->




                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label class="control-label">Software</label>
                                        <select class="form-control select2" name="software">
                                            <option selected disabled>Select</option>
                                            <option <?php echo e($branch->software == 'Crusher' ? 'selected' : ''); ?>>Crusher</option>
                                        </select>
                                        <?php if($errors->has('software')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('software')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>



                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Software Issue Date</label>
                                        <input class="form-control" type="date" pattern="\d{4}-\d{2}-\d{2}"
                                            name="issue_date" value="<?php echo e($branch->issue_date); ?>">
                                        <?php if($errors->has('issue_date')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('issue_date')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Software Expiry Date</label>
                                        <input class="form-control" type="date" id="example-number-input"
                                            name="expiry_date" value="<?php echo e($branch->expiry_date); ?>" pattern="dd/mm/yy">
                                        <?php if($errors->has('expiry_date')): ?>
                                            <div class="alert alert-danger">
                                                <?php echo e($errors->first('expiry_date')); ?>

                                            </div>
                                        <?php endif; ?>
                                    </div>
                                </div>




                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Lieninancy</label>
                                        <input class="form-control" type="text" name="leniency"
                                            placeholder="Enter Leniency Time" id="example-number-input"
                                            value="<?php echo e($branch->leniency); ?>">

                                        
                                    </div>
                                </div>
                                <div class="col-md-4 custveri">
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input type="checkbox" form="insert_form" class="custom-control-input"
                                            name="verification" id="customSwitch72" value="1"
                                            <?php echo e($branch->verification == 1 ? 'checked' : ''); ?>>
                                        <label class="custom-control-label" for="customSwitch72">Verification
                                            For User</label>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency ID</label>
                                        <input class="form-control" type="text" name="currency_id"
                                            placeholder="Enter Currency ID" id="example-number-input"
                                            value="<?php echo e($branch->currency_id); ?>">

                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency Detail</label>
                                        <input class="form-control" type="text" name="currency_detail"
                                            placeholder="Enter Currency Detail" id="example-number-input"
                                            value="<?php echo e($branch->currency_detail); ?>">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Currency Decimal</label>
                                        <input class="form-control" type="text" oninput="this.value = this.value.replace(/[^0-9.]/g, '');" name="currency_decimal"
                                            placeholder="Enter Currency Decimal" id="example-number-input"
                                            value="<?php echo e($branch->currency_decimal); ?>">
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Minal Unit</label>
                                        <input class="form-control" type="text" name="minal_unit"
                                            placeholder="Enter Minal Unit" id="example-number-input"
                                            value="<?php echo e($branch->minal_unit); ?>">
                                    </div>
                                </div>


                            </div>



                    </div>
                </div>
            </div>
        </div>

        <div class="row page-wrapper">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <!-- Start row -->
                        <div class="row">

                            <div class="col-md-2">
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input type="checkbox" form="insert_form"
                                        class="custom-control-input selectallMaster" id="selectallMaster" unchecked>
                                    <label class="custom-control-label titlcust" for="selectallMaster">Master<label>
                                </div>
                                <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','Master'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                            <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                            form="insert_form" class="custom-control-input master"
                                            id="customSwitch<?php echo e($permission->id); ?>"
                                            <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                        <label class="custom-control-label titlcust"
                                            for="customSwitch<?php echo e($permission->id); ?>">
                                            <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                            </div>

                            <div class="col-md-2">
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input type="checkbox" form="insert_form"
                                        class="custom-control-input selectallReports" id="selectallReports" unchecked>
                                    <label class="custom-control-label titlcust" for="selectallReports">Reports<label>
                                </div>
                                <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','Report'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                            <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                            form="insert_form" class="custom-control-input reports"
                                            id="customSwitch<?php echo e($permission->id); ?>"
                                            <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                        <label class="custom-control-label titlcust"
                                            for="customSwitch<?php echo e($permission->id); ?>">
                                            <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                            </div>

                            <div class="col-md-2">
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input type="checkbox" form="insert_form"
                                        class="custom-control-input selectallTransactions" id="selectallTransactions"
                                        unchecked>
                                    <label class="custom-control-label titlcust"
                                        for="selectallTransactions">Transactions<label>
                                </div>
                                <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','Transactions'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                            <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                            form="insert_form" class="custom-control-input transactions"
                                            id="customSwitch<?php echo e($permission->id); ?>"
                                            <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                        <label class="custom-control-label titlcust"
                                            for="customSwitch<?php echo e($permission->id); ?>">
                                            <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                            </div>

                            <div class="col-md-2">
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input type="checkbox" form="insert_form"
                                        class="custom-control-input selectallOthers" id="selectallOthers" unchecked>
                                    <label class="custom-control-label titlcust" for="selectallOthers">Others<label>
                                </div>
                                <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','Others'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                            <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                            form="insert_form" class="custom-control-input others"
                                            id="customSwitch<?php echo e($permission->id); ?>"
                                            <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                        <label class="custom-control-label titlcust"
                                            for="customSwitch<?php echo e($permission->id); ?>">
                                            <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                            </div>
                            <div class="col-md-2">
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input type="checkbox" form="insert_form"
                                        class="custom-control-input selectallPeriodClosing" id="selectallPeriodClosing"
                                        unchecked>
                                    <label class="custom-control-label titlcust" for="selectallPeriodClosing">Period
                                        Closing<label>
                                </div>
                                <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','period-closing'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                            <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                            form="insert_form" class="custom-control-input period-closing"
                                            id="customSwitch<?php echo e($permission->id); ?>"
                                            <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                        <label class="custom-control-label titlcust"
                                            for="customSwitch<?php echo e($permission->id); ?>">
                                            <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                            </div>
                            <div class="col-md-2">
                                <div class="custom-control custom-switch mb-2" dir="ltr">
                                    <input type="checkbox" form="insert_form" class="custom-control-input selectallUsers"
                                        id="selectallUsers" unchecked>
                                    <label class="custom-control-label titlcust" for="selectallUsers">Show User<label>
                                </div>
                                <?php $__empty_1 = true; $__currentLoopData = $permissions->where('type','user'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $permission): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <div class="custom-control custom-switch mb-2" dir="ltr">
                                        <input value="<?php echo e($permission->id); ?>" name="permissions[]" type="checkbox"
                                            <?php echo e(in_array($permission->id, $branch->permissions->pluck('permission_id')->toArray()) ? 'checked' : ''); ?>

                                            form="insert_form" class="custom-control-input user"
                                            id="customSwitch<?php echo e($permission->id); ?>"
                                            <?php if($permission->enabled): ?> checked <?php endif; ?>>
                                        <label class="custom-control-label titlcust"
                                            for="customSwitch<?php echo e($permission->id); ?>">
                                            <?php echo e(ucwords(str_replace('-', ' ', $permission->name))); ?></label>
                                    </div>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        </form>
    </div>




    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script>
        $(document).ready(function() {
            $('.page-wrapper').find('input, textarea, select, button, a').prop('disabled', true);

            var company_id = $('#company').val();
            if (company_id) {
                $.ajax({
                    type: 'GET',
                    url: '<?php echo e(url('get_countries')); ?>',
                    data: {
                        company_id: company_id
                    },
                    success: function(html) {
                        $('#country').html('<option value=' + html.country + '>' + html
                            .country + '</option>');
                    }
                });
            } else {
                $('#country').html('<option value="">Select Company First</option>');
            }

            $('#company').on('change', function() {
                var company_id = $(this).val();
                if (company_id) {
                    $.ajax({
                        type: 'GET',
                        url: '<?php echo e(url('get_countries')); ?>',
                        data: {
                            company_id: company_id
                        },
                        success: function(html) {
                            $('#country').html('<option value=' + html.country + '>' + html
                                .country + '</option>');
                        }
                    });
                } else {
                    $('#country').html('<option value="">Select Company First</option>');
                }
            });

            // Get the "Master" switch element and individual permission switch elements
            var selectAllMaster = document.getElementById('selectallMaster');
            var masterSwitches = document.querySelectorAll('.custom-control-input.master');

            // Add click event listener to "Master" switch
            selectAllMaster.addEventListener('click', function() {
                var isChecked = selectAllMaster.checked;

                // Set all individual permission switches based on the "Master" switch's state
                masterSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Reports" switch element and individual permission switch elements for reports
            var selectAllReports = document.getElementById('selectallReports');
            var reportSwitches = document.querySelectorAll('.custom-control-input.reports');

            // Add click event listener to "Reports" switch
            selectAllReports.addEventListener('click', function() {
                var isChecked = selectAllReports.checked;

                // Set all individual permission switches for reports based on the "Reports" switch's state
                reportSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Transactions" switch element and individual permission switch elements for transactions
            var selectallTransactions = document.getElementById('selectallTransactions');
            var transactionSwitches = document.querySelectorAll('.custom-control-input.transactions');

            // Add click event listener to "Transactions" switch
            selectallTransactions.addEventListener('click', function() {
                var isChecked = selectallTransactions.checked;

                // Set all individual permission switches for transactions based on the "Transactions" switch's state
                transactionSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Others" switch element and individual permission switch elements for others
            var selectallOthers = document.getElementById('selectallOthers');
            var otherSwitches = document.querySelectorAll('.custom-control-input.others');

            // Add click event listener to "Others" switch
            selectallOthers.addEventListener('click', function() {
                var isChecked = selectallOthers.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                otherSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Period Closing" switch element and individual permission switch elements for Period-closing
            var selectallPeriodClosing = document.getElementById('selectallPeriodClosing');
            var periodSwitches = document.querySelectorAll('.custom-control-input.period-closing');

            // Add click event listener to "Period Closing" switch
            selectallPeriodClosing.addEventListener('click', function() {
                var isChecked = selectallPeriodClosing.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                periodSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });

            // Get the "Show User" switch element and individual permission switch elements for Show User
            var selectallUsers = document.getElementById('selectallUsers');
            var userSwitches = document.querySelectorAll('.custom-control-input.user');

            // Add click event listener to "Show User" switch
            selectallUsers.addEventListener('click', function() {
                var isChecked = selectallUsers.checked;

                // Set all individual permission switches for others based on the "Others" switch's state
                userSwitches.forEach(function(switchElem) {
                    switchElem.checked = isChecked;
                });
            });
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.superadmin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/super_admin/branch_master/superadmin-view.blade.php ENDPATH**/ ?>