<?php $__env->startSection('content'); ?>





    <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-1">
                <div class="col-md-6">
                    <h6 class="card-title mb-4 titlcust">View Payment Voucher</h6>
                </div>
                <div class="col-md-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>
            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Payment Voucher</h6>
                    <br>



                    <div class="row border1">
                        <?php if(!empty(($companyLogo = auth()->user()->company_logo))): ?>
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="<?php echo e(asset('storage/app/public/' . $companyLogo)); ?>" class="img-fluid"
                                    alt="logo" width="180px">
                            </div>
                        <?php else: ?>
                            <div class="col-md-2 d-flex align-items-center justify-content-center">
                                <img src="<?php echo e(asset('assets/images/acp-logo.png')); ?>" class="img-fluid" alt="logo"
                                    width="180px">
                            </div>
                        <?php endif; ?>
                        <div class="col-md-6">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12 ">
                                        <span><?php echo e($company->name); ?></span>
                                    </div>
                                    <div class="col-md-12 ">
                                        <span><?php echo e($company->country); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Cr Number :</label>
                                        <span><?php echo e($company->cr_number); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>VAT Number :</label>
                                        <span><?php echo e($company->vat_number); ?></span>
                                    </div>

                                    <div class="col-md-12">
                                        <span><?php echo e(session()->get('branch')->address); ?></span>
                                    </div>
                                </div>
                            </div>

                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <h5>Buyer</h5>
                                    </div>
                                    <?php if($paymentVoucher[0]->buyer != null): ?>
                                        <div class="col-md-12">
                                            

                                            <span><?php echo e($paymentVoucher[0]->account->account_name ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span><?php echo e($paymentVoucher[0]->buyer->email ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span><?php echo e($paymentVoucher[0]->buyer->name ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span><?php echo e($paymentVoucher[0]->buyer->phone ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span><?php echo e($paymentVoucher[0]->buyer->vat_number ?? 'No Record Found'); ?></span>
                                        </div>
                                    <?php else: ?>
                                        <div>

                                            <span><?php echo e($paymentVoucher[0]->expense[0]->account->name_of_organisation ?? ($paymentVoucher[0]->expense[0]->account->account_name ?? $paymentVoucher[0]->expense[0]->account->first_name . ' ' . $paymentVoucher[0]->expense[0]->account->last_name)); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Email :</label>
                                            <span><?php echo e($paymentVoucher[0]->expense[0]->account->email ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Person Name :</label>
                                            <span><?php echo e($paymentVoucher[0]->expense[0]->account->contact_person_name ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>Contact Number :</label>
                                            <span><?php echo e($paymentVoucher[0]->expense[0]->account->mobile ?? 'No Record Found'); ?></span>
                                        </div>
                                        <div class="col-md-12">
                                            <label>VAT Number :</label>
                                            <span><?php echo e($paymentVoucher[0]->expense[0]->account->vat_number ?? 'No Record Found'); ?></span>
                                        </div>
                                    <?php endif; ?>
                                </div>
                            </div>

                        </div>
                        <div class="col-md-4">
                            <div class="row border1">
                                <div class="pading1">
                                    <div class="col-md-12">
                                        <label>Voucher # :</label>
                                        <span><?php echo e($paymentVoucher[0]->invoice_no); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Date :</label>
                                        <span><?php echo e($paymentVoucher[0]->date); ?></span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Method :</label>
                                        <span><?php echo e($paymentVoucher[0]->payment_method); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Account :</label>
                                        <span>
                                            <?php if(isset($paymentVoucher[0]->expense[0]->account)): ?>
                                                <?php echo e($paymentVoucher[0]->expense[0]->account->name_of_organisation ?? $paymentVoucher[0]->expense[0]->account->account_name); ?>

                                            <?php endif; ?>
                                        </span>

                                    </div>

                                    <div class="col-md-12">
                                        <label>Cheaque No # :</label>
                                        <span><?php echo e($paymentVoucher[0]->cheaque_no); ?></span>
                                    </div>
                                    <div class="col-md-12">
                                        <label>Cheaque Date :</label>
                                        <span><?php echo e($paymentVoucher[0]->cheaque_date); ?></span>
                                    </div>

                                    <div class="col-md-12">
                                        <label>Bank Name :</label>
                                        <span><?php echo e($paymentVoucher[0]->bank_name); ?></span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <br>

                    <div class="row">
                        <div class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>S No.</th>
                                        <th>Account Name</th>
                                        <th>Amount</th>
                                        <th>BillWise/OnAccount</th>
                                        <th>Select Invoice</th>
                                    </tr>
                                </thead>

                                <tbody id="table-body">
                                    <?php $__empty_1 = true; $__currentLoopData = $paymentVoucher; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $rv): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <?php $__empty_2 = true; $__currentLoopData = $rv->expense; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_2 = false; ?>
                                            <tr>
                                                <td><?php echo e($key + 1); ?></td>
                                                <td>
                                                    <p>
                                                        <?php if(isset($expense->account)): ?>
                                                            <?php echo e($expense->account->name_of_organisation ?? $expense->account->account_name); ?>

                                                        <?php endif; ?>
                                                    </p>

                                                </td>
                                                <td>
                                                    <p><?php echo e($expense->amount); ?></p>
                                                </td>
                                                <td>
                                                    <p><?php echo e($expense->bill_wise_id); ?></p>
                                                </td>
                                                <td>
                                                    <p><?php echo e($expense->inovice_id); ?></p>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_2): ?>
                                        <?php endif; ?>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <?php endif; ?>
                                    <tr>
                                        <td></td>
                                        <td>Grand Total</td>
                                        <td id="grand-total"></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Ladjure</td>
                                        <td><?php echo e($paymentVoucher[0]->expense->sum('expense_amount')); ?></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>Total Amount</td>
                                        <td id="total-amount">
                                            <?php echo e($paymentVoucher[0]->expense->sum('expense_amount') + $paymentVoucher[0]->expense->sum('amount')); ?>

                                        </td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>



                    <br>
                    <div class="row">
                        <div class="col-md-12">
                            <label for="name">Amount in Words:</label>
                            <span id="total_net_amount_words"></span>
                        </div>

                    </div>
                    </form>


                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->


    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Initialize total amount
            let totalAmount = 0;
            let grandAmount = 0;

            // Extract receipt voucher data from Blade's inline PHP
            const paymentVoucher = <?php echo json_encode($paymentVoucher, 15, 512) ?>;

            // Loop through receipt voucher expenses to calculate total amount
            paymentVoucher.forEach(function(rv) {
                rv.expense.forEach(function(expense) {
                    const amount = parseFloat(expense.amount);
                    const expenseAmount = parseFloat(expense.expense_amount);
                    grandAmount += amount;
                    totalAmount += amount;
                    totalAmount += expenseAmount;
                });
            });

            // Update the grand total element with the calculated total amount
            document.getElementById("grand-total").textContent = grandAmount.toFixed(2);

            // Convert total net amount to words and update the corresponding field
            var totalNetAmountWords = numberToWords(totalAmount.toFixed(
                <?php echo e(session()->get('branch')->currency_decimal); ?>));
            $('#total_net_amount_words').text(totalNetAmountWords);
        });
    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew\acpnew\resources\views/crusher/trans_payment_voucher/view.blade.php ENDPATH**/ ?>